User market position

GET
/v0/blue/markets/{market-selector}/users/{user-address}/position

A user's live position in a Morpho Blue market: collateral deposited, supply shares, and borrow shares.

Path Parameters

user-address*string

Position owner address. Example: 0x0774b5B15B0CEe5E2e14814CCF4d4611fF78CcF5.

Formataddress
market-selector*string

Selector formatted as <chain_id>:<market_id>. Example: 1:0x15bb2a6af0c909eed19fb1f2ceeead34ecbdcba626de752c6b09389ee14eec32.

Format<chain_id>:<market_id>

Response Body

application/json

curl -X GET "https://example.com/v0/blue/markets/1:0x15bb2a6af0c909eed19fb1f2ceeead34ecbdcba626de752c6b09389ee14eec32/users/0x0774b5B15B0CEe5E2e14814CCF4d4611fF78CcF5/position"
{  "data": {    "chain_id": 1,    "market_id": "string",    "user_address": "string",    "last_indexed_block": "string",    "collateral_assets": "string",    "supply_shares": "string",    "borrow_shares": "string"  }}
Empty